﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="ComboBox" AutoEventWireup="true" CodeBehind="ComboBoxFeatures.aspx.cs" Inherits="SyncfusionASPNETApplication2.ComboBoxFeatures" %>
<%@ Register Assembly="Syncfusion.EJ.Web" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
<div class="container-fluid">
  <ej:ComboBox ID="cbxSaleSourceCode" runat="server" Width="300px" AllowFiltering="true" ClientSideOnChange="onChange" ClientSideOnFiltering="simpleFiltering" >
  </ej:ComboBox>
    <br />
    <ej:ComboBox ID="cbxSaleBatch" DataTextField="ContactName" runat="server" Width="300px"  AllowFiltering="true">
        
    </ej:ComboBox>
 
    <script>
        function simpleFiltering(e) {
        }
        function onChange(args)
        {
            if ($('#<%= cbxSaleSourceCode.ClientID %>').ejComboBox("model.value") == null ||
                $('#<%= cbxSaleSourceCode.ClientID %>').ejComboBox("model.value").trim() == "") {
                var ds = [];
                $('#<%= cbxSaleBatch.ClientID %>').ejComboBox({
                    dataSource: ds
                });
                $('#<%= cbxSaleBatch.ClientID %>').val('');
                $('#<%= cbxSaleBatch.ClientID %>').ejComboBox("model.value") = "";
                return;
            }
              
            $.ajax({
                type: "POST",
                url: "BatchWS.asmx/GetList",
                datatype: "json",
                contentType: "application/json; charset=utf-8",
                data: JSON.stringify({ sourceCode: $('#<%= cbxSaleSourceCode.ClientID %>').ejComboBox("model.value") }),
                success: ej.proxy(function (data) {
                    if (data.d.length > 0) {
                        $('#<%= cbxSaleBatch.ClientID %>').ejComboBox({
                            dataSource: data.d,
                            fields: { value: "index", text: "countryName" },
                            allowFiltering: true
                        });
                    } else {
                        var comboins = $('#<%= cbxSaleBatch.ClientID %>').data("ejComboBox");
                        comboins.setModel({ dataSource: null
                        });
                    }
                }, this),
                eror: function (xmlhttprequest, textstatus, errorthrown) {
                    HideLoading();
                    swal("Can not get Batch!");
                    console.log("error: " + errorthrown);
                }
            }); 
        } 
    </script>
    </div>
 </asp:Content>
